#!/bin/sh -eu

# This is a helper to update the '.sh.orig' files for jitsi's
# configuration files.
# Then the changes must be propagated to their corresponding .sh
# files by the type maintainer or a contributor

# We could automate this, but are using it as an indicator for the
# latest branch with which we conciliated changes.
BRANCH="jitsi-meet_7210"
REPO="https://github.com/jitsi/jitsi-meet"

get_url() {
	file="${1}"
	printf "%s/raw/stable/%s/%s" "${REPO}" "${BRANCH}" "${file}"

}

download_file() {
	file="${1}"
	destination="${2:-${file}.sh.orig}"
	url="$(get_url "${file}")"
	echo "Downloading ${destination}"
	curl -L "${url}" > "${destination}"
	echo
}

download_file config.js
download_file interface_config.js
download_file doc/debian/jitsi-meet/jitsi-meet.example nginx.sh.orig
download_file doc/debian/jitsi-meet-prosody/prosody.cfg.lua-jvb.example prosody.cfg.lua.sh.orig

# Change the version file, maintainers should check that it matches
# the deb version
printf "2.0.${BRANCH#*_}-1" > jitsi-version
