#!/bin/sh

cat << EOF
###############################################################
# THIS FILE HAS BEEN GENERATED BY CDIST. DO NOT EDIT BY HAND. #
###############################################################


# Log configuration for Synapse.
#
# This is a YAML file containing a standard Python logging configuration
# dictionary. See [1] for details on the valid settings.
#
# Synapse also supports structured logging for machine readable logs which can
# be ingested by ELK stacks. See [2] for details.
#
# [1]: https://docs.python.org/3.7/library/logging.config.html#configuration-dictionary-schema
# [2]: https://github.com/matrix-org/synapse/blob/master/docs/structured_logging.md
#
version: 1

formatters:
  precise:
   format: '%(asctime)s - %(name)s - %(lineno)d - %(levelname)s - %(request)s- %(message)s'

filters:
  context:
    (): synapse.util.logcontext.LoggingContextFilter
    request: ""

handlers:
  file:
    class: logging.handlers.TimedRotatingFileHandler
    formatter: precise
    filename: ${LOG_DIR:?}/homeserver.log
    when: midnight
    backupCount: 3  # Does not include the current log file.
    filters: [context]
    encoding: utf8
  # Default to buffering writes to log file for efficiency. This means that
  # will be a delay for INFO/DEBUG logs to get written, but WARNING/ERROR
  # logs will still be flushed immediately.
  buffer:
    class: logging.handlers.MemoryHandler
    target: file
    # The capacity is the number of log lines that are buffered before
    # being written to disk. Increasing this will lead to better
    # performance, at the expensive of it taking longer for log lines to
    # be written to disk.
    capacity: 10
    flushLevel: 30  # Flush for WARNING logs as well
  console:
    class: logging.StreamHandler
    formatter: precise
    level: WARN

loggers:
  synapse:
    level: INFO
  synapse.storage.SQL:
    # beware: increasing this to DEBUG will make synapse log sensitive
    # information such as access tokens.
    level: INFO
  twisted:
    level: INFO

root:
  level: INFO
  handlers: [buffer, console]
EOF
